## ----style, echo = FALSE, results = 'asis'-------------------------------
BiocStyle::markdown()

## ----global_options, include=FALSE--------------------------------------------------------------------------
knitr::opts_chunk$set(fig.width=10, fig.height=7, warning=FALSE, message=FALSE)
options(width=110)

## ---- eval=TRUE---------------------------------------------------------------------------------------------
## load ABAEnrichment software package
require(ABAEnrichment)
## get name and superstructures of brain region 4679
get_name(4679)
get_superstructures(4679)
get_name(get_superstructures(4679))

## -----------------------------------------------------------------------------------------------------------
## load package
require(ABAData)
## require averaged gene expression data (microarray) from adult human brain regions
data(dataset_adult)
## look at first lines
head(dataset_adult)

## -----------------------------------------------------------------------------------------------------------
## require averaged gene expression data (RNA-seq) for 5 age categories
data(dataset_5_stages)
## look at first lines
head(dataset_5_stages)

## -----------------------------------------------------------------------------------------------------------
## require developmental effect score for genes in brain regions
data(dataset_dev_effect)
## look at first lines
head(dataset_dev_effect)

